import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

//CLASE QUE EXTIENDE LA CLASE JCheckBox para que muestre iconos personalizados en cada uno de sus estados posibles (es decir, seleccionado o deseleccionado)
public class Checkbox extends JCheckBox
{
	public Checkbox(ImageIcon icono, ImageIcon iconoSelected, boolean selected, MouseListener listener)
	{
		super(icono, selected); 
		setSelectedIcon(iconoSelected);
		
		setMargin(new Insets(0,-2,0,0));
		
		Dimension size=new Dimension(icono.getIconWidth(), icono.getIconHeight());
		setPreferredSize(size);
		setMaximumSize(size);
		setMinimumSize(size);
		
		addMouseListener(listener);
	}
}