import javax.swing.*;
import java.awt.*;

//CLASE QUE IMPLEMENTA EL PANEL QUE CONTENDR LOS BOTONES
public class PanelBotones extends JPanel
{
	private Image background;

	public PanelBotones(Image background)
	{
		super();
		this.background=background;
		setBackground(Color.white);
		FlowLayout flowLayout=new FlowLayout(); //Creamos el layout que se encargar de distribuir los botones
		flowLayout.setVgap(0); //Eliminamos el margen de separacin que aparece por defecto entre el borde del layout y los componentes que va a contener
		setLayout(flowLayout); //Establecemos el layout

		Dimension size=new Dimension(background.getWidth(this), background.getHeight(this));
		setPreferredSize(size);
		setMaximumSize(size);
		setMinimumSize(size);			
	}
	
	
	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
	
		//Pintamos la imagen de fondo de la barra de botones centrada
		int longBackground=background.getWidth(this);
		if(background!=null) 
			if(longBackground>getWidth()) 
				g.drawImage(background,(getWidth()-longBackground)/2,0, this);
			else	
				g.drawImage(background,0,0, this);

	}
	
}