import java.util.*;
import java.awt.Color;

//CLASE QUE IMPLEMENTA LA ESTACIN DE LA VERSIN 2, QUE BSICAMENTE ES UNA ESTACIN DE LA VERSIN 1 QUE IMPLEMENTA ADEMS EL BORRADO DE CELDAS
public class EstacionVersion2 extends EstacionVersion1
{	

		
	public EstacionVersion2(int idEstacion, double pg, int numeroEstaciones, int version)
	{
		super(idEstacion, pg, numeroEstaciones, version);
	}

	//Sobreescribe el mtodo borraCelda definido en la clase Estacion
	public int borrarCelda(int idBus)
	{	
		if(celdaEntrada[idBus-1]==null) return (idBus==1? CA1_CELDA_NO_RECIBIDA: CA2_CELDA_NO_RECIBIDA);
		if(!celdaEntrada[idBus-1].getOcupada()) return (idBus==1? CA1_RECIBIDA_CELDA_VACIA:CA2_RECIBIDA_CELDA_VACIA); 
		
	
		Celda celdaEntrada=this.celdaEntrada[idBus-1].clonar();
		
		if (celdaEntrada.getDatos().getDestino()==idEstacion)
		{
			celdaEntrada.setOcupada(false);
			this.celdaEntrada[idBus-1]=celdaEntrada;
			this.celdaSalida[idBus-1]=celdaEntrada;
			
			int nuevoEstado=(idBus==1? CA1_BORRA_DATOS: CA2_BORRA_DATOS);
			estado.add(nuevoEstado);
			return nuevoEstado;
		}
		return (idBus==1? CA1_NO_DESTINATARIO: CA2_NO_DESTINATARIO); //Los datos no son para esta estacion
	}
	
}

