import java.util.*;
import java.awt.Color;

//CLASE QUE IMPLEMENTA LA ESTACIN DE LA VERSIN 4, QUE BSICAMENTE ES UNA ESTACIN DE LA VERSIN 3 QUE IMPLEMENTA ADEMS EL BORRADO DE CELDAS
public class EstacionVersion4 extends EstacionVersion3
{		
	//CONSTRUCTOR
	public EstacionVersion4(int idEstacion, double pg, int numeroEstaciones, int version)
	{
		super(idEstacion, pg, numeroEstaciones, version);
	}

	//Sobreescribe el mtodo borraCelda definido en la clase Estacion
	public int borrarCelda(int idBus)
	{	
		if(celdaSalida[idBus-1]==null) return (idBus==1? CA1_CELDA_NO_RECIBIDA: CA2_CELDA_NO_RECIBIDA);
		if(!celdaSalida[idBus-1].getOcupada()) return (idBus==1? CA1_RECIBIDA_CELDA_VACIA:CA2_RECIBIDA_CELDA_VACIA); 

		
		if (celdaSalida[idBus-1].getDatos().getDestino()==idEstacion)
		{
			celdaSalida[idBus-1].setOcupada(false);
			celdaSalida[idBus-1].setDatos(null);

			int nuevoEstado=(idBus==1? CA1_BORRA_DATOS: CA2_BORRA_DATOS);
			estado.add(nuevoEstado);
			return nuevoEstado;
		}
		return (idBus==1? CA1_NO_DESTINATARIO: CA2_NO_DESTINATARIO); //Los datos no son para esta estacion
	}
	
}
