import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.text.DefaultStyledDocument;


//CLASE QUE IMPLEMENTA LA VENTANA DE ALERTA QUE APARECE CUANDO EL LMITE DE CAPACIDAD PREFIJADO PARA LA CLASE BloqueTexto HA ALCANZADO EL LMITE
public class PanelAvisoBloqueTexto extends JDialog implements ActionListener
{
	private InterfazGrafica interfaz;
	private Boton botonSi, botonNo;

	public  PanelAvisoBloqueTexto(InterfazGrafica interfaz)
	{
		
		super(new JFrame(), "REA DE TEXTO - LMITE EXCEDIDO", true);
		setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);

		this.interfaz=interfaz;

		setSize(new Dimension(492,243));
		
		botonSi=new Boton(CargadorDeImagenes.getCargador().getIcono("botonSi.gif"), CargadorDeImagenes.getCargador().getIcono("botonSiPressed.gif"));
		botonNo=new Boton(CargadorDeImagenes.getCargador().getIcono("botonNo.gif"), CargadorDeImagenes.getCargador().getIcono("botonNoPressed.gif"));

		botonSi.setAlignmentX(0.5f);
		botonNo.setAlignmentX(0.5f);
		
		botonSi.addActionListener(this);
		botonNo.addActionListener(this);
	
		JPanel panelBotones=new JPanel();
		panelBotones.setOpaque(false);
		panelBotones.setLayout(new BoxLayout(panelBotones, BoxLayout.X_AXIS));
		panelBotones.add(botonSi);
		panelBotones.add(Box.createRigidArea(new Dimension(30,0)));
		panelBotones.add(botonNo);
		
		PanelConFondo panel=new PanelConFondo("panelCapacidadBloqueTextoExcedida.gif");
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
		panel.add(Box.createRigidArea(new Dimension(0,125)));
		panel.add(panelBotones);
		
		getContentPane().add(panel);

		setResizable(false);		
	}
	
	//Mtodo de la interfaz ActionListener: Copia el contenido de BloqueTexto al portapapeles en caso de que el usuario as lo haya especificado
	public void actionPerformed(ActionEvent e)
	{
		boolean copiarAreaTexto=(e.getSource()==botonSi? true: false);
		interfaz.liberarBloqueTexto(copiarAreaTexto);
		setVisible(false);
	}
}

