import javax.swing.JLabel;
import java.awt.*;
import java.util.*;

//CLASE QUE EXTIENDE DE LA CLASE JLabel SOBREESCRIBIENDO SU MTODO paintComponent PARA QUE SUAVICE EL TEXTO QUE CONTIENE
public class Label extends JLabel
{
	public Label()
	{
		super();
	}
	
	public Label(String texto)
	{
		super(texto);
	}
	
	//Sobreescribe el mtodo paintComponent para que suavice el texto que contiene
	public void paintComponent(Graphics g)
	{
		if (g instanceof Graphics2D)
		{
      			Graphics2D g2 = (Graphics2D)g;
      			Map<Object, Object> rMap = new HashMap<Object, Object>();
        		Object key = RenderingHints.KEY_ANTIALIASING;
        		Object value = RenderingHints.VALUE_ANTIALIAS_ON;
        		rMap.put(key, value);
        		g2.addRenderingHints(rMap);
    	}
    	super.paintComponent(g);
		
	}
	
}