import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

//DEFINE LOS BOTONES CON IMAGENES EMPELADOS EN LA APLICACIN, EXTENDIENDO LA CLASE JButton
public class Boton extends JButton
{
	//CONSTRUCTOR 1
	public Boton(ImageIcon icono, ImageIcon iconoPressed, MouseListener listener)
	{
		super(icono); 
		setPressedIcon(iconoPressed);
		setOpaque(false);
		setBorderPainted(false);
		setContentAreaFilled(false);
		
		Dimension size=new Dimension(icono.getIconWidth(), icono.getIconHeight());
		setPreferredSize(size);
		setMaximumSize(size);
		setMinimumSize(size);
		
		addMouseListener(listener);
	}
	
	//CONSTRUCTOR 2
	public Boton(ImageIcon icono, ImageIcon iconoPressed, ImageIcon iconoDisabled, MouseListener listener)
	{
		super(icono); 
		setPressedIcon(iconoPressed);
		setDisabledIcon(iconoDisabled);
		setOpaque(false);
		setBorderPainted(false);
		setContentAreaFilled(false);
		
		Dimension size=new Dimension(icono.getIconWidth(), icono.getIconHeight());
		setPreferredSize(size);
		setMaximumSize(size);
		setMinimumSize(size);
		
		addMouseListener(listener);
	}
	
	//CONSTRUCTOR 3
	public Boton(ImageIcon icono, ImageIcon iconoPressed)
	{
		super(icono); 
		setPressedIcon(iconoPressed);
		setOpaque(false);
		setBorderPainted(false);
		setContentAreaFilled(false);
		Dimension size=new Dimension(icono.getIconWidth(), icono.getIconHeight());
		
		setPreferredSize(size);
		setMaximumSize(size);
		setMinimumSize(size);
		
	}
	
}