import javax.swing.*;
import java.awt.*;
import java.util.*;

//CLASE QUE EXTIENDE DE LA CLASE JMenuItem SOBREESCRIBIENDO SU MTODO paintComponent PARA QUE SUAVICE EL TEXTO QUE CONTIENE
public class JMenuItemSuavizado extends JMenuItem
{
	public JMenuItemSuavizado(String label, Icon icono)
	{
		super(label, icono);
	}
	
	public JMenuItemSuavizado(String label)
	{
		super(label);
	}
	
	//Sobreescribe el mtodo paintComponent para que suavice el texto que contiene
	public void paintComponent(Graphics g)
	{
		if (g instanceof Graphics2D)
		{
	   		Graphics2D g2 = (Graphics2D)g;
	   		Map<Object, Object> rMap = new HashMap<Object, Object>();
	      	Object key = RenderingHints.KEY_ANTIALIASING;
	       	Object value = RenderingHints.VALUE_ANTIALIAS_ON;
	       	rMap.put(key, value);
	       	g2.addRenderingHints(rMap);
	   	}
	   	super.paintComponent(g);
	}
}