import javax.swing.*;
import java.awt.*;

//CLASE QUE IMPLEMENTA UN PANEL QUE MUESTRA UNA IMAGEN DE FONDO
class PanelConFondo extends JPanel
{
	private Image fondo;
	public PanelConFondo(String nombreDeLaImagen)
	{
		super();
		fondo=CargadorDeImagenes.getCargador().getImagen(nombreDeLaImagen);
		setPreferredSize(new Dimension(fondo.getWidth(this),fondo.getHeight(this)));
		setMaximumSize(new Dimension(fondo.getWidth(this),fondo.getHeight(this)));
		setMinimumSize(new Dimension(fondo.getWidth(this),fondo.getHeight(this)));
	}
	
	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		g.drawImage(fondo,0,0, this);
	}

}
